Bug 846621 - gstpython is blacklisted
gstpython is blacklisted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 05:21 EDT by Andre Klapper
Modified: 2013-02-13 15:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 696388
Environment:
Last Closed: 2013-02-13 15:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Klapper 2012-08-08 05:21:10 EDT
+++ This bug was initially created as a clone of Bug #696388 +++

I have all the gstreamer packages from the main repo installed, plus the rpmfusion packages, plus ffmpeg. However, most of my files cannot be played (totem tries to search codecs, then fails to find a package that can go with them). I suspect that gstffmpeg is misbehaving because:


jeff@boris:~/.gstreamer-0.10$ rm registry.i386.bin 

jeff@boris:~/.gstreamer-0.10$ gst-inspect -b

(gst-plugin-scanner:2657): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: symbol av_parser_parse, version LIBAVCODEC_52 not defined in file libavcodec.so.52 with link time reference
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pygst.py", line 28, in <module>
    import sys
KeyError: 'pygst'


Blacklisted files:
  libgstpython.so
  libgstffmpeg.so

Total count: 2 blacklisted files

--- Additional comment from nekohayo@gmail.com on 2011-04-14 10:37:18 EDT ---

The ffmpeg part of the problem was fixed with today's updates to ffmpeg in F15. The gstpython error still occurs though.

--- Additional comment from a9016009@gmx.de on 2011-10-28 12:02:59 EDT ---

Also valid in Fedora 16 (just ran into this).

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 13:55:02 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.
Comment 1 Fedora End Of Life 2013-01-16 11:45:31 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 15:44:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.